Subject: bug#19622: 25.0.50; Spell checking and Unicode don't mix...

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 00:46:21 +0100

tags 19622 + wontfix
close 19622
thanks

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 19 Jan 2015 08:15:01 -0500
>> From: "Perry E. Metzger" <[email-masked]>
>> Cc: [email-masked]
>> 
>> > It's up to the speller, so it isn't an Emacs problem/bug/issue.  The
>> > characters that are word constituent are stated in the .aff file for
>> > the language you use, and they come with the speller (and are
>> > tailored to what the speller does and doesn't know about the word
>> > structure). Emacs cannot fix that.
>> 
>> Emacs could replace punctuation on its way down the pipe to
>> the inferior process if it wishes to as a stop gap.
>
> Wouldn't some users object to such replacements?  They could mask
> mis-spelled words.
>
> Also, how would Emacs know that the replacement will DTRT with the
> speller which is being used?  Each speller has its own capabilities
> and rules wrt word morphology.  These are described by the .aff files,
> but Emacs is too dumb to understand those rules; the only thing it
> knows is how to fetch WORDCHARS and non-WORDCHARS from there.
>
> IOW, I'm not at all sure this is a problem that Emacs could and should
> fix.  Why not report it upstream to the developers of the speller you
> use?

I agree with Eli here, and I'm consequently closing this as wontfix.

If anyone disagrees with that, and feels that Emacs should indeed do
something differently, feel free to reopen the bug.

Best regards,
Stefan Kangas